//[datasource](../../../../../index.md)/[com.yandex.payment.sdk.datasource.bind.interfaces](../../../index.md)/[CardScreen](../../index.md)/[State](../index.md)/[Error](index.md)

# Error

[datasource]\
class [Error](index.md)(**error**: [PaymentKitError](../../../../../../core/core/com.yandex.payment.sdk.core.data/-payment-kit-error/index.md)) : [CardScreen.State](../index.md)

Произошла ошибка.

## Constructors

| | |
|---|---|
| [Error](-error.md) | [datasource]<br>fun [Error](-error.md)(error: [PaymentKitError](../../../../../../core/core/com.yandex.payment.sdk.core.data/-payment-kit-error/index.md)) |

## Properties

| Name | Summary |
|---|---|
| [error](error.md) | [datasource]<br>val [error](error.md): [PaymentKitError](../../../../../../core/core/com.yandex.payment.sdk.core.data/-payment-kit-error/index.md)<br>тип ошибки. |
